GET
/
v1
/
teams
/
{teamId}
/
content
/
slideshows
/
{contentItemId}
/
revisions
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.listSlideshowRevisions({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  contentItemId: process.env.OCTOSPARK_CONTENT_ITEM_ID ?? "contentItemId",
})
{
  "data": [
    {
      "contentItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "revision": 123,
      "creativeHash": "<string>",
      "reversesRevision": 123,
      "artifactRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "actorType": "<string>",
      "actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "commands": [
        "<unknown>"
      ]
    }
  ],
  "total": 123,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

contentItemId
string<uuid>
required

Slideshow content item id (UUID), as returned by createSlideshow, createSlideshowGeneration, or listSlideshows.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

SlideshowRevisionsResponse

data
object[]
required
total
number
required
nextCursor
string | null
required
prevCursor
string | null
required